<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Response;
        
class ContractListItemResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public string $remoteId;
    public ?string $displayId = null;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\AccountResponse $account;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\CompanyResponse $company;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\CommodityResponse $commodity;
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $destinationLocation;
    /** @var null|string $deliveryPeriodStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deliveryPeriodStart = null;
    /** @var null|string $deliveryPeriodEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deliveryPeriodEnd = null;
    public ?float $quantityContracted = null;
    public ?float $quantityRemaining = null;
    public ?string $quantityUom = null;
    public string $contractType;
    public ?float $pricing = null;
    public ?string $status = null;
    /** @var null|string $remoteCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $remoteCreatedAt = null;
    /** @var null|string $remoteUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $remoteUpdatedAt = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  null|string  $deliveryPeriodStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deliveryPeriodEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $remoteCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $remoteUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $remoteId, ?string $displayId, \Bushelpowered\Api\Fulfillment\Common\V1\Response\AccountResponse $account, \Bushelpowered\Api\Fulfillment\Common\V1\Response\CompanyResponse $company, \Bushelpowered\Api\Fulfillment\Common\V1\Response\CommodityResponse $commodity, \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $destinationLocation, ?string $deliveryPeriodStart, ?string $deliveryPeriodEnd, ?float $quantityContracted, ?float $quantityRemaining, ?string $quantityUom, string $contractType, ?float $pricing, ?string $status, ?string $remoteCreatedAt, ?string $remoteUpdatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->remoteId = $remoteId;
        $this->displayId = $displayId;
        $this->account = $account;
        $this->company = $company;
        $this->commodity = $commodity;
        $this->destinationLocation = $destinationLocation;
        $this->deliveryPeriodStart = $deliveryPeriodStart;
        $this->deliveryPeriodEnd = $deliveryPeriodEnd;
        $this->quantityContracted = $quantityContracted;
        $this->quantityRemaining = $quantityRemaining;
        $this->quantityUom = $quantityUom;
        $this->contractType = $contractType;
        $this->pricing = $pricing;
        $this->status = $status;
        $this->remoteCreatedAt = $remoteCreatedAt;
        $this->remoteUpdatedAt = $remoteUpdatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}