<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Model;
        
class DatasourceStandard implements \Bushelpowered\Api\Common\HasTimestamps
{
    public string $id;
    public \Bushelpowered\Api\Platform\Tenant\V1\Model\TenantStandard $tenant;
    public ?string $slug = null;
    public ?string $erpType = null;
    public ?string $dataIngestionType = null;
    public ?string $comments = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, \Bushelpowered\Api\Platform\Tenant\V1\Model\TenantStandard $tenant, ?string $slug, ?string $erpType, ?string $dataIngestionType, ?string $comments, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->id = $id;
        $this->tenant = $tenant;
        $this->slug = $slug;
        $this->erpType = $erpType;
        $this->dataIngestionType = $dataIngestionType;
        $this->comments = $comments;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}