<?php
namespace Bushelpowered\Api\Trade\Offers\V1\Request;
        
class CreateOrderFilledRequest 
{
    public int $quantity;
    public float $price;
    public float $basisPrice;
    public float $futuresPrice;
    public ?string $comments = null;
    public int $accountId;
    public string $erpAccountId;
    public string $erpCommodityId;
    public string $erpLocationId;
    /** @var string $orderCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $orderCreatedAt;
    /** @var string $expiresAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $expiresAt;
    public bool $forceFill;
    public bool $careOrder;
    public string $contractSymbol;
    public int $pricingType;
    public string $unitOfMeasure;
    public string $shortInstrumentGroupName;
    public string $commodityName;
    public string $locationName;
    public string $exchangeAbbreviation;
    public string $futuresSymbol;
    /** @var string $deliveryStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $deliveryStart;
    /** @var string $deliveryEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $deliveryEnd;
    public string $chainOrderId;

    /**
     * @param  string  $orderCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $expiresAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $deliveryStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $deliveryEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(int $quantity, float $price, float $basisPrice, float $futuresPrice, ?string $comments, int $accountId, string $erpAccountId, string $erpCommodityId, string $erpLocationId, string $orderCreatedAt, string $expiresAt, bool $forceFill, bool $careOrder, string $contractSymbol, int $pricingType, string $unitOfMeasure, string $shortInstrumentGroupName, string $commodityName, string $locationName, string $exchangeAbbreviation, string $futuresSymbol, string $deliveryStart, string $deliveryEnd, string $chainOrderId)
    {
        $this->quantity = $quantity;
        $this->price = $price;
        $this->basisPrice = $basisPrice;
        $this->futuresPrice = $futuresPrice;
        $this->comments = $comments;
        $this->accountId = $accountId;
        $this->erpAccountId = $erpAccountId;
        $this->erpCommodityId = $erpCommodityId;
        $this->erpLocationId = $erpLocationId;
        $this->orderCreatedAt = $orderCreatedAt;
        $this->expiresAt = $expiresAt;
        $this->forceFill = $forceFill;
        $this->careOrder = $careOrder;
        $this->contractSymbol = $contractSymbol;
        $this->pricingType = $pricingType;
        $this->unitOfMeasure = $unitOfMeasure;
        $this->shortInstrumentGroupName = $shortInstrumentGroupName;
        $this->commodityName = $commodityName;
        $this->locationName = $locationName;
        $this->exchangeAbbreviation = $exchangeAbbreviation;
        $this->futuresSymbol = $futuresSymbol;
        $this->deliveryStart = $deliveryStart;
        $this->deliveryEnd = $deliveryEnd;
        $this->chainOrderId = $chainOrderId;
    }
    

}